Bug 137749 - The "Mozilla Web Browser", "Music player" and "Manual" icons at the Panel do not work
The "Mozilla Web Browser", "Music player" and "Manual" icons at the Panel do ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-31 20:10 EST by Srihari Vijayaraghavan
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2004-10-31 20:10:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.7.3)
Gecko/20041026 Firefox/1.0RC1

Description of problem:
These icons/links at the XFCE panels do not work: Mozilla Web Browser,
Media player and Manual.

When I click on Mozilla Web Browser, it throws this error message:
Error: Failed to execute child process "mozilla" (No such file or
directory)

As for the "Music Player", it throws an error message:
Error: Failed to execute child process "xmms" (No such file or directory"

And for the "Manual", it throws an error message:
Error: Unable to execute mozilla. Online help is not available.


Version-Release number of selected component (if applicable):
XFCE 4.0.6

How reproducible:
Always

Steps to Reproduce:
1. Install a standard work station installation plus XFCE
2. Click on these icons/links at the XFCE panel: Mozilla Web Browser,
Media Player and Manual.


Actual Results:  Observe that they do not work.



Expected Results:  Would be good if they actually worked :).

Additional info:

I think those error messages are due to the fact that their respective
applications (Mozilla, xmms) are not installed by the default Work
station build (plus XFCE) and hence they do not work.

I found the following fixes:
1. Install the applications they depend on: Mozilla and XMMS. Then
those links/icons work fine.
2. Create soft links (/usr/bin/mozilla -> /usr/bin/firefox and
/usr/bin/xmms /usr/bin/hxplay) for the applications. Then those
links/icons work fine.

IMHO if XFCE needs those applications (mozilla and xmms) the installer
may install them by default. Or alternatively those icons/links be
changed to the right applications (firefox and helix player for example).

Thank you.
Hari
sriharivijayaraghavan@yahoo.com.au
Comment 1 Toni Willberg 2004-11-13 14:20:40 EST
the panel should be fixed to launch Firefox instead of Mozilla, (and
also make the rpm depend on firefox package too)
Comment 2 Matthew Miller 2006-07-10 17:37:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 11:25:54 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.